"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* @babel/preset-env */
function presetEnv(options) {
    const { babelBuildTargets, useBuiltIns, debug, envModules, polyfill } = options;
    const useBuiltInsValue = useBuiltIns ?? 'usage';
    // @babel/preset-env的配置
    const presetEnvOptions = {
        targets: babelBuildTargets,
        debug,
        modules: envModules,
        bugfixes: true
    };
    if (!polyfill) {
        Object.assign(presetEnvOptions, {
            useBuiltIns: useBuiltInsValue
        });
        if (useBuiltInsValue) {
            presetEnvOptions.corejs = 3;
        }
    }
    return ['@babel/preset-env', presetEnvOptions];
}
exports.default = presetEnv;
